CVE-2018-5703

NameCVE-2018-5703
DescriptionThe tcp_v6_syn_recv_sock function in net/ipv6/tcp_ipv6.c in the Linux kernel through 4.14.11 allows attackers to cause a denial of service (slab out-of-bounds write) or possibly have unspecified other impact via vectors involving TLS.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severityhigh (attack range: remote)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux (PTS)wheezy3.2.78-1fixed
wheezy (security)3.2.101-1fixed
jessie3.16.51-2fixed
jessie (security)3.16.56-1+deb8u1fixed
stretch4.9.82-1+deb9u3fixed
stretch (security)4.9.88-1+deb9u1fixed
buster, sid4.16.5-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linuxsource(unstable)4.15.11-1high
linuxsourcejessie(not affected)
linuxsourcestretch(not affected)
linuxsourcewheezy(not affected)

Notes

[stretch] - linux <not-affected> (Vulnerable code not present)
[jessie] - linux <not-affected> (Vulnerable code not present)
[wheezy] - linux <not-affected> (Vulnerable code not present)
https://lkml.org/lkml/2018/1/16/53

Search for package or bug name: Reporting problems